Project/src/beans/Attendance.java
package beans;

import java.io.Serializable;
import java.sql.Date;
import java.sql.Time;
import java.text.SimpleDateFormat;

import dao.UserDAO;

public class Attendance implements Serializable {
	private int id;
	private int userId;
	private Date attendanceDate;
	private Time attendanceTime;
	private Time leavingTime;
	private Time breakTime;
	private Time returnTime;
	private Time totalbreakTime;

	private int totalattendanceDay;
	private Time totalattendanceTime;

	public Attendance() {

	}

	//全データをセット
	public Attendance(int id, int userId, Date attendanceDate, Time attendanceTime, Time leavingTime, Time breakTime,
			Time returnTime,Time totalbreakTime) {
		this.id = id;
		this.userId = userId;
		this.attendanceDate = attendanceDate;
		this.attendanceTime = attendanceTime;
		this.leavingTime = leavingTime;
		this.breakTime = breakTime;
		this.returnTime = returnTime;
		this.totalbreakTime = totalbreakTime;

	}

	//合計の出力用
	public Attendance(int totalattendanceDay, Time totalattendanceTime) {
		this.totalattendanceDay = totalattendanceDay;
		this.totalattendanceTime = totalattendanceTime;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public Date getAttendanceDate() {
		return attendanceDate;
	}

	public void setAttendanceDate(Date attendanceDate) {
		this.attendanceDate = attendanceDate;
	}

	public Time getAttendanceTime() {
		return attendanceTime;
	}

	public void setAttendanceTime(Time attendanceTime) {
		this.attendanceTime = attendanceTime;
	}

	public Time getLeavingTime() {
		return leavingTime;
	}

	public void setLeavingTime(Time leavingTime) {
		this.leavingTime = leavingTime;
	}

	public Time getBreakTime() {
		return breakTime;
	}

	public void setBreakTime(Time breakTime) {
		this.breakTime = breakTime;
	}

	public Time getReturnTime() {
		return returnTime;
	}

	public void setReturnTime(Time returnTime) {
		this.returnTime = returnTime;
	}

	public Time getTotalbreakTime() {
		return totalbreakTime;
	}

	public void setTotalbreakTime(Time totalbreakTime) {
		this.totalbreakTime = totalbreakTime;
	}

	//出勤データのユーザーIDをもとにユーザー名を取得
	public User getUserName() {
		UserDAO dao = new UserDAO();
		User user = new User();

		user = dao.findUser(this.userId);
		return user;
	}

	//秒数を切り捨てて表示する
	public String getSimpleAT() {
		if (attendanceTime == null) {
			return "";
		}
		SimpleDateFormat sdf = new SimpleDateFormat("HH:mm");
		return sdf.format(attendanceTime);
	}

	public String getSimpleBT() {
		if (breakTime == null) {
			return "";
		}
		SimpleDateFormat sdf = new SimpleDateFormat("HH:mm");
		return sdf.format(breakTime);
	}

	public String getSimpleRT() {
		if (returnTime == null) {
			return "";
		}
		SimpleDateFormat sdf = new SimpleDateFormat("HH:mm");
		return sdf.format(returnTime);
	}

	public String getSimpleLT() {
		if (leavingTime == null) {
			return "";
		}
		SimpleDateFormat sdf = new SimpleDateFormat("HH:mm");
		return sdf.format(leavingTime);
	}

	public int getTotalattendanceDay() {
		return totalattendanceDay;
	}

	public void setTotalattendanceDay(int totalattendanceDay) {
		this.totalattendanceDay = totalattendanceDay;
	}

	public Time getTotalattendanceTime() {
		return totalattendanceTime;
	}

	public void setTotalattendanceTime(Time totalattendanceTime) {
		this.totalattendanceTime = totalattendanceTime;
	}

	//秒数を切り捨てて表示する
	public String getSimpleTAT() {
		if (totalattendanceTime == null) {
			return "";
		}
		SimpleDateFormat sdf = new SimpleDateFormat("HH" + "'h' " + "mm" + "'m'");
		return sdf.format(totalattendanceTime);
	}

}

Project/src/beans/User.java
package beans;

import java.io.Serializable;
import java.sql.Date;
import java.sql.SQLException;
import java.sql.Timestamp;

import dao.AffiliationDAO;

public class User implements Serializable {
	private int employeeId;
	private String loginId;
	private String name;
	private Date birthDate;
	private String password;
	private int affiliationId;
	private int attendanceCheckId;
	private Timestamp createDate;
	private Timestamp updateDate;

	public User() {

	}

	//ログインセッションの保存
	public User(String loginId, String name) {
		this.setLoginId(loginId);
		this.setName(name);
	}

	//全てのデータをセット
	public User(int employeeId, String loginId, String name, Date birthDate, String password, int affiliationId,
			int attendanceCheckId, Timestamp createDate, Timestamp updateDate) {
		this.employeeId = employeeId;
		this.loginId = loginId;
		this.name = name;
		this.birthDate = birthDate;
		this.password = password;
		this.affiliationId = affiliationId;
		this.attendanceCheckId = attendanceCheckId;
		this.createDate = createDate;
		this.updateDate = updateDate;

	}

	public int getEmployeeId() {
		return employeeId;
	}

	public void setEmployeeId(int employeeId) {
		this.employeeId = employeeId;
	}

	public String getLoginId() {
		return loginId;
	}

	public void setLoginId(String loginId) {
		this.loginId = loginId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Date getBirthDate() {
		return birthDate;
	}

	public void setBirthDate(Date birthDate) {
		this.birthDate = birthDate;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public int getAffiliationId() {
		return affiliationId;
	}

	public void setAffiliationId(int affiliationId) {
		this.affiliationId = affiliationId;
	}

	public int getAttendanceCheckId() {
		return attendanceCheckId;
	}

	public void setAttendanceCheckId(int attendanceCheckId) {
		this.attendanceCheckId = attendanceCheckId;
	}

	public Timestamp getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Timestamp createDate) {
		this.createDate = createDate;
	}

	public Timestamp getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Timestamp updateDate) {
		this.updateDate = updateDate;
	}

	// ユーザーの所属IDをもとに所属先名を取得
	public Affiliation getAffiliationBeans() {
		AffiliationDAO dao = new AffiliationDAO();
		Affiliation aff = new Affiliation();
		try {
			aff = dao.getAffiliationById(affiliationId);
		} catch (SQLException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}
		return aff;
	}

}

Project/src/controller/EmbossingServlet.java
package controller;

import java.io.IOException;
import java.util.Calendar;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.Attendance;
import beans.User;
import dao.AttendanceDAO;
import dao.UserDAO;

/**
 * Servlet implementation class EmbossingServlet
 */
@WebServlet("/EmbossingServlet")
public class EmbossingServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public EmbossingServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		//ログインセッションの取得
		HttpSession session = request.getSession();
		User check = (User) session.getAttribute("userInfo");

		//セッションがない場合はログイン画面へ
		if (check == null) {
			request.setAttribute("errMsg", "再度ログインしてください");
			//フォワード(ログイン画面に戻る)
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
		}

		// エラーメッセージがある場合の処理
		if (session.getAttribute("errMsg") != null) {
			request.setAttribute("errMsg", session.getAttribute("errMsg"));
			session.removeAttribute("errMsg");
		}

		//出勤データテーブルの情報を取得してフォワード
		AttendanceDAO attDao = new AttendanceDAO();
		List<Attendance> attList = attDao.findAll();
		request.setAttribute("attList", attList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/embossing.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		//セッションからログインIDを取得
		HttpSession session = request.getSession();
		User user = (User) session.getAttribute("userInfo");
		String loginId = user.getLoginId();
		//ログインIDからユーザー情報を取得
		UserDAO userdao = new UserDAO();
		User userdata = userdao.findUserByLoginId(loginId);

		//社員番号(employeeId)
		int userId = userdata.getEmployeeId();
		//出勤状態(attendanceCheckId)
		int status = userdata.getAttendanceCheckId();

		// リクエストパラメータの入力項目を取得
		String push = request.getParameter("push");

		/**押されたボタンに応じた処理**/

		/**出勤時**/
		if (push.equals("syukkin")) {
			//出勤データの有無をチェック
			AttendanceDAO attdao = new AttendanceDAO();
			Attendance att = attdao.findUserAttendance(userId);
			//データがあった場合は操作不可
			if (att != null) {
				session.setAttribute("errMsg", "本日は既に出勤登録済みです");
				response.sendRedirect("EmbossingServlet");
			} else {

				int attendanceCheckId = 2;

				UserDAO dao = new UserDAO();
				dao.UpdateAttendanceCheckId(attendanceCheckId, loginId);
				AttendanceDAO attDao = new AttendanceDAO();
				attDao.ComingOffice(userId);

				response.sendRedirect("EmbossingServlet");
			}
		}
		/**外出時**/
		if (push.equals("gaisyutu")) {
			//出勤状態でなければ操作不可
			if (status == 1 || status == 3) {
				session.setAttribute("errMsg", "出勤状態ではありません");
				response.sendRedirect("EmbossingServlet");
			} else {
				int attendanceCheckId = 3;

				UserDAO dao = new UserDAO();
				dao.UpdateAttendanceCheckId(attendanceCheckId, loginId);
				AttendanceDAO attDao = new AttendanceDAO();
				attDao.BreakTime(userId);

				response.sendRedirect("EmbossingServlet");
			}
		}
		/**戻り時**/
		if (push.equals("modori")) {
			//休憩状態でなければ操作不可
			if (status != 3) {
				session.setAttribute("errMsg", "外出登録をしていません");
				response.sendRedirect("EmbossingServlet");
			} else {
				int attendanceCheckId = 2;

				//まず戻り時間を登録
				UserDAO dao = new UserDAO();
				dao.UpdateAttendanceCheckId(attendanceCheckId, loginId);
				AttendanceDAO attDao = new AttendanceDAO();
				attDao.ReturnWork(userId);

				//休憩時間を計算して合計する
				attDao.BreakTotal(userId);

				response.sendRedirect("EmbossingServlet");
			}
		}
		/**退勤時**/
		if (push.equals("taikin")) {
			//出勤状態でなければ操作不可
			if (status == 1) {
				session.setAttribute("errMsg", "出勤登録がされていません");
				response.sendRedirect("EmbossingServlet");
			} else if (status == 3) {
				session.setAttribute("errMsg", "外出状態です。戻り登録から行ってください");
				response.sendRedirect("EmbossingServlet");
			} else {
				int attendanceCheckId = 1;

				UserDAO dao = new UserDAO();
				dao.UpdateAttendanceCheckId(attendanceCheckId, loginId);
				AttendanceDAO attDao = new AttendanceDAO();
				attDao.LeavingOffice(userId);

				response.sendRedirect("EmbossingServlet");
			}
		}
		/**勤怠確定の処理**/
		if (push.equals("execute")) {

			//年・月のデータを取得
			Calendar cal = Calendar.getInstance();
			int year = cal.get(Calendar.YEAR);
			int month = cal.get(Calendar.MONTH) + 1;

			AttendanceDAO attDao = new AttendanceDAO();
			attDao.UpdateNullLVT(year, month);

			response.sendRedirect("EmbossingServlet");

		}
	}

}

Project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.User;
import dao.UserDAO;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public LoginServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		UserDAO dao = new UserDAO();
		User user = dao.findByLoginInfo(loginId, password);

		//セッションにログイン情報を保存
		HttpSession session = request.getSession();
		session.setAttribute("userInfo", user);

		//打刻画面へリダイレクト
		response.sendRedirect("EmbossingServlet");
	}

}

Project/src/controller/NewuserServlet.java
package controller;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.Affiliation;
import dao.AffiliationDAO;
import dao.UserDAO;

/**
 * Servlet implementation class NewuserServlet
 */
@WebServlet("/NewuserServlet")
public class NewuserServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public NewuserServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//所属先一覧をDBから取得してフォワード
		try {
			ArrayList<Affiliation> affList = AffiliationDAO.getAllAffiliation();
			request.setAttribute("affList", affList);
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newuser.jsp");
			dispatcher.forward(request, response);
		} catch (SQLException e) {
			// TODO 自動生成された catch ブロック
			e.printStackTrace();
		}

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		// リクエストパラメータの入力項目を取得
		String loginId = request.getParameter("loginId");
		String name = request.getParameter("name");
		String password1 = request.getParameter("password1");
		String password2 = request.getParameter("password2");
		String birthDate = request.getParameter("birthDate");
		int affiliationId = Integer.parseInt(request.getParameter("affiliationId"));

		//空欄がある時
		if (loginId == "" || name == "" || password1 == "") {
			request.setAttribute("errMsg", "未入力の項目があります");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newuser.jsp");
			dispatcher.forward(request, response);
			return;
		}

		//パスワード確認が一致しない時
		if (!password1.equals(password2)) {
			request.setAttribute("errMsg", "パスワードを確認してください");

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/newuser.jsp");
			dispatcher.forward(request, response);
			return;
		}
		UserDAO dao = new UserDAO();
		dao.InsertUser(loginId, name, password1, birthDate, affiliationId);

		response.sendRedirect("UserlistServlet");
	}

}

Project/src/controller/UserdeleteServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.User;
import dao.UserDAO;

/**
 * Servlet implementation class UserdeleteServlet
 */
@WebServlet("/UserdeleteServlet")
public class UserdeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public UserdeleteServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//URLから社員番号を取得
		String id = request.getParameter("id");

		//idをもとに対象のデータを取得
		UserDAO dao = new UserDAO();
		User user = dao.findUser(Integer.parseInt(id));

		request.setAttribute("user", user);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userdelete.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// リクエストパラメータの文字コードを指定
		request.setCharacterEncoding("UTF-8");

		//DELETE文の実行
		String employeeId = request.getParameter("employeeId");
		UserDAO dao = new UserDAO();
		dao.DeleteUser(employeeId);

		//ユーザー一覧へリダイレクト
		response.sendRedirect("UserlistServlet");
	}

}

Project/WebContent/WEB-INF/jsp/embossing.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>打刻画面</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
</head>
<body style="background-color: ghostwhite">
	<header style="background-color: darkseagreen">

		<div class="container">
			<div class="row">
				<div class="col-md-4 offset-md-3">
					<h1 style="text-align: center">出勤登録</h1>
				</div>
				<div class="col-md-3">
					<a>ログイン中：${userInfo.name}さん</a>
				</div>
				<div class="col-md-2">
					<a href="LogoutServlet" style="color: red"> ログアウト </a>
				</div>
			</div>
		</div>
	</header>
	<!--header end-->
	<!-- errMsg -->
	<c:if test="${errMsg != null}">
		<div class="alert alert-danger" role="alert">${errMsg}</div>
	</c:if>
	<!-- errMsg END -->

	<button onclick="location.href='UserlistServlet'">管理メニュー</button>

	<br>
	<div class="container">
		<div class="row">
			<div class="col-6" style="text-align: center">
				<!-- カレンダー -->
				<div class="bg-dark text-white">
					<p class="h5" id="CalenderArea"></p>
				</div>
				<!-- 現在時刻の表示 -->
				<div class="bg-dark text-white">
					<p class="display-1" id="RealtimeClockArea2"></p>
				</div>
			</div>

			<div class="col-6" style="background-color: white">

				<table class="table table-borderless table-sm">
					<tr>
						<th></th>
						<th>出勤時刻</th>
						<th>休憩入り</th>
						<th>休憩戻り</th>
						<th>退勤時刻</th>
					</tr>

					<c:forEach var="List" items="${attList}">
						<tr>
							<td>${List.userName.name}</td>
							<td>${List.simpleAT}</td>
							<td>${List.simpleBT}</td>
							<td>${List.simpleRT}</td>
							<td>${List.simpleLT}</td>
						</tr>
					</c:forEach>
					</tbody>

				</table>
			</div>

		</div>
		<br>
		<!-- form -->
		<form action="EmbossingServlet" method="post">
			<div class="row">
				<div class="col-2"></div>
				<div class="col">
					<button type="submit" name="push" value="syukkin"
						class="btn btn-outline-info btn-lg">出勤</button>

					<button type="submit" name="push" value="gaisyutu"
						class="btn btn-outline-success btn-lg">外出</button>

					<button type="submit" name="push" value="modori"
						class="btn btn-outline-warning btn-lg">戻り</button>

					<button type="submit" name="push" value="taikin"
						class="btn btn-outline-danger btn-lg">退勤</button>

					<!-- 管理者ならば操作が可能 -->
					<c:if test="${userInfo.loginId.equals('admin')}">
						<button type="submit" name="push" value="execute"
							class="btn btn-danger btn-lg">勤怠確定</button>
					</c:if>
				</div>
			</div>
		</form>
		<!-- form END -->
	</div>


	<br>
	<!--footer-->
	<footer style="background-color: darkseagreen">
		<p style="text-align: right">© 2020 honyarara</p>
	</footer>

	<script type="text/javascript" src="js/calender.js"></script>
	<script type="text/javascript" src="js/clock.js"></script>
</body>
</html>

Project/WebContent/WEB-INF/jsp/userdetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>詳細画面</title>
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
	integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
	crossorigin="anonymous">
</head>
<body>
	<header style="background-color: darkseagreen">
		<div class="container">
			<div class="row">
				<div class="col-md-4 offset-md-3">
					<h1 style="text-align: center">詳細画面</h1>
				</div>
				<div class="col-md-3">
					<a>ログイン中：${userInfo.name}さん</a>
				</div>
				<div class="col-md-2">
					<a href="LogoutServlet" style="color: red"> ログアウト </a>
				</div>
			</div>
		</div>
	</header>
	<br>
	<!-- employeeData -->

	<div class="container">
		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">社員番号</div>
			<div class="col">000${user.employeeId}</div>
		</div>

		<br>
		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">氏名</div>
			<div class="col">${user.name}</div>
		</div>

		<br>
		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">生年月日</div>
			<div class="col">${user.birthDate}</div>
		</div>

		<br>
		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">所属</div>
			<div class="col">${user.affiliationBeans.name}</div>
		</div>

		<br>
		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">登録日時</div>
			<div class="col">${user.createDate}</div>
		</div>

		<br>
		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">更新日時</div>
			<div class="col">${user.updateDate}</div>
		</div>

		<br>
		<!-- form -->
		<div class="row">
			<div class="col-md-5 offset-md-5">
				<!-- 管理者ならば更新・削除が可能 -->
				<c:if test="${userInfo.loginId.equals('admin')}">
					<button class="btn btn-success" type="submit"
						onclick="location.href='UserupdateServlet?id=${user.employeeId}'">更新</button>
					<button class="btn btn-danger" type="submit"
						onclick="location.href='UserdeleteServlet?id=${user.employeeId}'">削除</button>
				</c:if>
				<!-- 自分のデータならば更新のみ可能 -->
				<c:if test="${userInfo.loginId == user.loginId}">
					<button class="btn btn-success" type="submit"
						onclick="location.href='UserupdateServlet?id=${user.employeeId}'">更新</button>
				</c:if>
			</div>
		</div>
		<!-- form end -->
	</div>
	<!--employeeData END -->

	<!-- workData -->
	<div class="container">
		<br>
		<div class="col" style="text-align: center">
			<h5>${year}年${month}月度詳細</h5>
		</div>
		<br>

		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">出勤日数</div>
			<div class="col">${tad.totalattendanceDay}日</div>
		</div>

		<br>
		<div class="col row">
			<div class="col-4"></div>
			<div class="col-2">実働時間</div>
			<div class="col">${tad.simpleTAT}</div>
		</div>

		<br>
		<!-- form -->
		<form action="UserdetailServlet?id=${user.employeeId}" method="post">
			<div class="row">
				<div class="col"></div>
				<div class="col"></div>
				<div class="col"></div>
				<div class="col">
					<button class="btn btn-link" type="submit" name="push" value="prev">←前月</button>
				</div>
				<div class="col">
					<button class="btn btn-link" type="submit" name="push" value="back">一覧へ戻る</button>
				</div>
				<div class="col">
					<button class="btn btn-link" type="submit" name="push" value="next">次月→</button>
				</div>
				<div class="col"></div>
				<div class="col"></div>
				<div class="col"></div>
			</div>
		</form>
		<!-- form END -->
	</div>

	<!-- workData END -->
	<br>
	<footer style="background-color: darkseagreen">
		<p style="text-align: right">© 2020 honyarara</p>
	</footer>
</body>
</html>